curl --request GET \
--url https://api.bctrl.ai/v1/sessions/{id}/capabilities \
--header 'Authorization: Bearer <token>'{
"sessionId": "<string>",
"runtime": {
"status": "<string>",
"hostId": {},
"browserRunning": true,
"currentDriver": {},
"driverConnected": true,
"defaultContextId": {},
"defaultPageId": {}
},
"host": {
"id": {},
"status": "<string>",
"platform": "<string>",
"hostname": "<string>",
"capabilities": {}
},
"automation": {
"canonicalRoute": "<string>",
"metaCalls": [
"<string>"
],
"escapeHatches": [
"<string>"
]
},
"events": {
"supportedEventTypes": [
"<string>"
],
"waitSupported": true,
"streamSupported": true
},
"aliases": {
"count": 123,
"values": [
{}
]
},
"subscriptions": {
"count": 123
}
}Inspect session capabilities, runtime state, and supported features
curl --request GET \
--url https://api.bctrl.ai/v1/sessions/{id}/capabilities \
--header 'Authorization: Bearer <token>'{
"sessionId": "<string>",
"runtime": {
"status": "<string>",
"hostId": {},
"browserRunning": true,
"currentDriver": {},
"driverConnected": true,
"defaultContextId": {},
"defaultPageId": {}
},
"host": {
"id": {},
"status": "<string>",
"platform": "<string>",
"hostname": "<string>",
"capabilities": {}
},
"automation": {
"canonicalRoute": "<string>",
"metaCalls": [
"<string>"
],
"escapeHatches": [
"<string>"
]
},
"events": {
"supportedEventTypes": [
"<string>"
],
"waitSupported": true,
"streamSupported": true
},
"aliases": {
"count": 123,
"values": [
{}
]
},
"subscriptions": {
"count": 123
}
}const response = await fetch(
`https://api.bctrl.ai/v1/sessions/${sessionId}/capabilities`,
{ headers: { Authorization: `Bearer ${apiKey}` } }
);
const caps = await response.json();
console.log(caps.runtime.currentDriver);
console.log(caps.events.supportedEventTypes);
Show runtime
active, stopped).playwright, puppeteer, selenium, stagehand).Show subscriptions
{
"sessionId": "sess_abc123",
"runtime": {
"status": "active",
"hostId": "host_1",
"browserRunning": true,
"currentDriver": "playwright",
"driverConnected": true,
"defaultContextId": "ctx_1",
"defaultPageId": "page_1"
},
"host": {
"id": "host_1",
"status": "online",
"platform": "linux",
"hostname": "browser-node-1",
"capabilities": {}
},
"automation": {
"canonicalRoute": "/v1/sessions/:id/automation",
"metaCalls": [
"listContexts",
"listPages"
],
"escapeHatches": [
"cdp"
]
},
"events": {
"supportedEventTypes": [
"console",
"page.navigated",
"page.load",
"page.request",
"page.response"
],
"waitSupported": true,
"streamSupported": true
},
"aliases": {
"count": 0,
"values": []
},
"subscriptions": {
"count": 0
}
}